Name:           task-kde4
Version:        4.0.3
Release:        %mkrel 1
Epoch:          1
Summary:        Metapackage for KDE4
Group:          Graphical desktop/KDE
License:        GPL
Requires:       task-kde4-minimal
Requires:       kdebase4
Requires:       kdelibs4-core
Requires:       kdeutils4
Requires:       kdenetwork4
Requires:       kdeaccessibility4
#Requires:      kdevelop4
Requires:       kdeadmin4
Suggests:       amarok2
Suggests:       koffice2
Suggests:       playground-nepomuk-kde
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:      %{name}-full < 2008.0-3mdv

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the KDE4 desktop ( plus Amarok2,
Koffice2, ...)

%files
%defattr(-,root,root-)

#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed KDE4
Group:      Graphical desktop/KDE

Requires:   mandriva-kde4-config
Requires:   kdebase4-workspace
Requires:   kde4-dolphin
Requires:   kde4-nsplugins
Requires:   kde4-kdepasswd
Requires:   kde4-konsole
Requires:   extragear-plasma
Requires:   phonon-xine
Requires:   dbus-x11
Suggests:   task-pulseaudio

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal KDE4 desktop environment.


%files minimal

#--------------------------------------------------------------------

%package devel
Summary: Metapackage for KDE development
Group: Development/KDE and Qt
Requires: mandriva-kde4-config
Requires: kdelibs4-devel
Requires: kdepimlibs4-devel
Requires: kdebase4-devel
Requires: kdebase4-workspace-devel
Requires: kdesdk4-scripts
Requires: gcc-c++
Requires: oxygen-icon-theme

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

%files devel
%defattr(-,root,root-)




%changelog
* Sun Mar 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.3-1mdv2008.1
+ Revision: 191159
- Update for kde 4.0.3

* Tue Mar 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-10mdv2008.1
+ Revision: 186978
- Fix Requires

* Wed Mar 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-9mdv2008.1
+ Revision: 179448
- Add task-pulseaudio as Suggests

* Tue Mar 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-8mdv2008.1
+ Revision: 179214
- New version 4.0.2
- [FEATURE] Add playground-nepomuk-kde as Suggests (Bug #38088)

* Mon Feb 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-7mdv2008.1
+ Revision: 162399
- Fix Requires

* Sun Feb 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-6mdv2008.1
+ Revision: 161860
- Add requires (Bug #37455 )
- [BUGFIX] add Requires (Bug #37458 #37427)

* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-4mdv2008.1
+ Revision: 158852
- Do not require kdevelop4

* Wed Jan 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-3mdv2008.1
+ Revision: 153758
- Replace kdeplayground4-plasma by extragear-plasma

* Sun Jan 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-2mdv2008.1
+ Revision: 151072
- Do not require kdeaddons4

* Sun Jan 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-1mdv2008.1
+ Revision: 150900
- Update for kde 4.0.0
- Require task-kde4-minimal
  Activate now existing packages

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-1mdv2008.1
+ Revision: 111825
- Update for kde4 3.96.1

* Fri Nov 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:3.94.0-3mdv2008.1
+ Revision: 111492
- rebuild since task-kde4-full didn't reach ia32 mirrors

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-2mdv2008.1
+ Revision: 101017
- This is Phonon-xine not Xine-phonon

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-1mdv2008.1
+ Revision: 100950
- Fix the version of this meta package
- Add Requires to the minimal package

* Tue Oct 02 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-3mdv2008.0
+ Revision: 94671
- Dropping task-kde4-full package and Bumping release

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 94160
- Require the mandriva-kde4-config

* Mon Oct 01 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-1mdv2008.0
+ Revision: 94128
- Fixing Requires and %%files section

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a minimal subpackage


* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148612
- Add other kde4 module (just for testing all kde4 package
- Import task-kde4

